Data.Aeson.TH

# Encoding configuration

data Options

data SumEncoding

defaultOptions

defaultTaggedObject

# FromJSON and ToJSON derivation

deriveJSON

deriveJSON1

deriveJSON2

deriveToJSON

deriveToJSON1

deriveToJSON2

deriveFromJSON

deriveFromJSON1

deriveFromJSON2

mkToJSON

mkLiftToJSON

mkLiftToJSON2

mkToEncoding

mkLiftToEncoding

mkLiftToEncoding2

mkParseJSON

mkLiftParseJSON

mkLiftParseJSON2